FROM nginx:1.18-alpine

COPY ./flipstarterdirectorybackend/static /flipstarterdirectorybackend/static

COPY ./production/docker/nginx/nginx /etc/nginx

RUN apk add certbot
RUN pip3 install pip --upgrade
RUN pip3 install certbot-nginx

RUN echo "/usr/bin/certbot renew --quiet" > /etc/periodic/daily/certbot_renew && chmod +x /etc/periodic/daily/certbot_renew

COPY ./production/docker/nginx/start-nginx.sh /start.sh

CMD ["sh", "/start.sh"]
